This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 73423 - Xconfigurator crash
Xconfigurator crash
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: Xconfigurator (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks: 82782
  Show dependency treegraph
 
Reported: 2002-09-04 11:45 EDT by Eugene Kanter
Modified: 2007-04-18 12:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-10 11:27:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene Kanter 2002-09-04 11:45:03 EDT
Description of Problem:

Xconfigurator crashes trying to determine monitor data.


How Reproducible:

always.

Steps to Reproduce:
1. LANG=C gdb /usr/X11R6/bin/Xconfigurator
2. Keep selecting OK.

Actual Results:

Program received signal SIGTRAP, Trace/breakpoint trap.
0x08064e6e in lrmi_vm86 ()
(gdb) where
#0  0x08064e6e in lrmi_vm86 ()
#1  0x08064ecf in run_vm86 ()
#2  0x0806515f in LRMI_int ()
#3  0x08063648 in vbe_get_edid_supported ()
#4  0x080610f3 in ddcProbe ()
#5  0x08056d32 in probeDevices ()
#6  0x0804c63b in monitor_configuration ()
#7  0x08053ea2 in main ()
#8  0x42017669 in __libc_start_main () from /lib/i686/libc.so.6
(gdb)

Expected Results:

no crash.

Additional Information:

From Xserver log file:
[...]
(II) Primary Device is: PCI 00:0b:0
(--) Assigning device section with no busID to primary device
(--) Chipset CLGD5446 found
[...]
(II) CIRRUS(0): Monitor name: CPQ TFT5010
[...]

lspci -vn
00:0b.0 Class 0300: 1013:00b8 (rev 45)
        Flags: medium devsel
        Memory at c4000000 (32-bit, prefetchable) [size=32M]
        Memory at c6eff000 (32-bit, non-prefetchable) [size=4K]
        Expansion ROM at <unassigned> [disabled] [size=32K]
Comment 1 Mike A. Harris 2004-01-10 11:27:06 EST
Red Hat Linux 7.x is no longer supported, and Xconfigurator was
obsoleted in Red Hat Linux 9, so I'm closing this bug report out
as WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.